@echo off
if not exist aliensdm\algfx.wad goto noalgfx
if not exist aliensdm\backup.deh goto nobackup
goto backup

:noalgfx
dmadds aliensdm\aliengfx.wad aliensdm\algfx.wad
if not exist aliensdm\backup.deh goto nobackup
goto backup

:nobackup 

ren #### change the following path from c:\games\doom to reflect YOUR
ren #### doom directory on your hard drive.
dehacked c:\games\doom -save aliensdm\backup.deh
goto backup

:backup

ren #### change the following path from c:\games\doom to reflect YOUR
ren #### doom directory on your hard drive.
dehacked c:\games\doom -load aliensdm\aliens.deh

doom -file aliensdm\algfx.wad aliensdm\alienlev.wad aliensdm\alnsnd2.wad

ren #### change the following path from c:\games\doom to reflect YOUR
ren #### doom directory on your hard drive.
dehacked c:\games\doom -load aliensdm\backup.deh

